Subject: RE: [Simple] Re: draft-rosenberg-peterson-simple-pidf-phone-00.txt

From: [email-masked]
Date: Thu, 31 Jul 2003 09:43:55 -0400

>>> - optional ran, roaming, visited-network, signal-strength 
>attributes. 
>>> (Assuming you think these make sense to provide at all.) 
>These could 
>>> be grouped under a mobile attribute or left standalone.
>> 
>> 
>> I dont think they can be in a single mobile attribute, there 
>is a bunch 
>> of separate information here.
>
>I am dubious on 'roaming'. This can mean many different things and 
>nothing at all. Without having detailed knowledge of the presentity's 
>carrier subscription and its coverage, it says essentially 
>nothing. (In 
>NJ, the pin-drop carrier can make you roam into analog just a 
>few miles 
>west on Rt. 4, as that's the border of digital coverage, so this says 
>nothing about distance from home.) Also, are there currently any 
>interfaces that would allow you to retrieve this information?
>

I agree with Henning here. Roaming constitutes a rather ambiguous semantic. Without
having means to annotate "roaming" by some kind of particular semantic it is mostly doomed 
to be misinterpreted by watchers rather than used usefully. Hence, either remove it, or bound
it to a particular semantic, or introduce further possible semantics of "roaming" as separate
values (gets messy though).

Dirk

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple